
#define ZF_FILTER_BASE  	0x2102000
#define ZF_CONFIG_BASE		0x2103000

#define ZF_FILTER_LH_OFF        2
#define ZF_FILTER_IDX_OFF       3
#define ZF_FILTER_TID_OFF       5

#define ZF_FILTER_LH(addr)      (((addr) & 0x4) >> ZF_FILTER_LH_OFF)
#define ZF_FILTER_IDX(addr)     (((addr) & 0x18) >> ZF_FILTER_IDX_OFF)

#define ZF_CONFIGURATION        (ZF_CONFIG_BASE)
#define ZF_MAX_ONES             (ZF_CONFIG_BASE + 0x04)
#define ZF_LAST_PKT     	(ZF_CONFIG_BASE + 0x08)
#define ZF_SELECTIONS   	(ZF_CONFIG_BASE + 0x0c)
#define ZF_DEBUG_LOW    	(ZF_CONFIG_BASE + 0x10)
#define ZF_DEBUG_HIGH   	(ZF_CONFIG_BASE + 0x14)
